Skip to main content

List all custom fields

Returns a list of your custom fields associated with the given board. The custom fields are returned sorted by creation date, with the most recently created custom fields appearing first.

Parameters​

name
string
The name to search for.

Returns​

Return a response that contains an array of all the custom fields.

get
/api/boards/{id}/custom-fields
curl https://{workspace}.kitchen.co/api/boards/{id}/custom-fields \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
[
{
"id": "cf_b5fa830bd5d732626231ff89",
"name": "Options",
"type": "multi_list",
"options": {
"values": [
{
"id": "uL3haLfAeE258Lt6E8sjtyqg",
"color": "#fec30c",
"value": "Design"
},
{
"id": "XN8Lb7veiE6w7qrEFuHMstnS",
"color": "#8b7252",
"value": "Development"
}
],
"number_format": null,
"currency": null
},
"visible_to_clients": false,
"show_icon": true,
"color": null,
"created_at": "2025-06-16T11:58:26+00:00",
"updated_at": "2025-06-16T11:58:31+00:00"
}
]